-- Example filtering rules to filter messages and include custom log statements. 
local filter = {}

function filter.type(msgType)
   if msgType ~= 'ADT' then
      -- log info message to say non ADT message was ignored/skipped
      iguana.logInfo('This message was filtered. Ignoring msgType: '..msgType)
      return false
   end 
end 

function filter.endpt(MSH)
   local destination = MSH[6][1]:nodeValue()

   if destination == '' then 
      -- log error message to trigger notification
      iguana.logError('ALERT: Missing Receiving Facility')
      return false
   end
end 

return filter 

